Subject: [netatalk-admins] Printing from Linux to MacOS StyleWriter

From: Philippe Mourey <[email-masked]>
Date: Mon, 09 Mar 1998 02:31:31 +0100

Hi,

I'm new with Netatalk.

I was looking for  a method to be able to use my Apple Color StyleWriter
on my PC (I mean on Linux). I tried CopsTalk: worked fine for NFS but as
Windows 95 doesn't include any driver, it didn't work for printing.
I succeeded to configure my printer in MkLinux. It worked great and
became a Postscript printer. I failed to make rlpr work in Linux . And I
doubt about configuring a lpd spooler to work with my mklinux spooler,
but I might be wrong.
Then I tried netatalk even if I didn't see any discussion about my
printer.
Well, I'm not sure the installation process was all right.

Anyway, I installed atalkd, papd, afpd and added the services tcpmux,
rtmp,nbp,echo.

I can access Unix  volumes from MacOS  (via AppleVolumes.system) in
guest (Read Only).
I can see all my appletalk devices (see at the end of this document with
atalkd.conf)
with nbplkup.
But I cannot access to my apple printer with pap or papstatus (nbp
lookup failed).

I have loaded the afpfs and appletalk module (and AppleTalk DDP compiled
as a module in kernel)
Well, I guess I have failed one installation procedure or chosen a wrong
package?...
My list of package is:
netatalk-1.3.3.tar.gz
afpfs.tar.gz (March 4, 58533bytes)
Linux Intel 2.0.18

Thanks (and sorry for the size of my message...)
Philippe Mourey.
mailto:[email-masked]

                          intel:AFPServer                          65280.34:130
                          intel:LaserWriter                        65280.34:128
                          intel:netatalk                           65280.34:4
                          intel:Workstation                        65280.34:4
                   ApplePrinter:ColorStyleWriter2400               65280.1:254
                        powerpc:AFPServer                          65280.1:253
                        powerpc:  Power Macintosh                  65280.1:250
                        powerpc:Workstation                        65280.1:4

eth0 -phase 2 -net 0-65534 -addr 65280.34